import { OnChanges, OnInit, SimpleChanges } from '@angular/core';
import * as i0 from "@angular/core";
export declare class AvatarComponent implements OnChanges, OnInit {
    isNobody: boolean;
    isErrorImg: boolean;
    /**
     * 自定义头像显示文字
     */
    gender: 'male' | 'female' | string;
    /**
     * avatar宽度
     */
    width: number;
    /**
     * avatar高度
     */
    height: number;
    /**
     * 是否是圆形n
     */
    isRound: boolean;
    /**
     * 是否是图片
     */
    imgSrc: string;
    /**
     * 用户名称
     */
    name: string;
    /**
     * 自定义头像显示文字
     */
    customText: string;
    /**
     * 头像中间文字最小尺寸
     */
    MINIMUM_FONT_SIZE: number;
    fontSize: number;
    code: number;
    nameDisplay: string;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    showErrAvatar(): void;
    calcValues(nameInput: any): void;
    setDisplayName(name: any, width: any): void;
    getBackgroundColor(char: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AvatarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AvatarComponent, "d-avatar", never, { "gender": { "alias": "gender"; "required": false; }; "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "isRound": { "alias": "isRound"; "required": false; }; "imgSrc": { "alias": "imgSrc"; "required": false; }; "name": { "alias": "name"; "required": false; }; "customText": { "alias": "customText"; "required": false; }; }, {}, never, never, false, never>;
}
