import { AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { GanttService } from '../gantt.service';
import * as i0 from "@angular/core";
export declare class GanttBarParentComponent implements OnInit, OnDestroy, OnChanges, AfterViewInit {
    private cdr;
    private ganttService;
    ganttBarProgress: ElementRef;
    ganttBarTrack: ElementRef;
    ganttBarRail: ElementRef;
    startDate: Date;
    endDate: Date;
    progressRate: number;
    data: any;
    id: string;
    tip: string;
    private ganttScaleStatusHandler;
    tipHovered: boolean;
    percentage: number;
    left: number;
    width: number;
    private max;
    private min;
    duration: string;
    constructor(cdr: ChangeDetectorRef, ganttService: GanttService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    private setValue;
    private ensureValueInRange;
    private valueMustBeValid;
    private clamp;
    private updateTrackAndHandle;
    private valueToOffset;
    private updateStyle;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GanttBarParentComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GanttBarParentComponent, "d-gantt-bar-parent", never, { "startDate": { "alias": "startDate"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; }; "progressRate": { "alias": "progressRate"; "required": false; }; "data": { "alias": "data"; "required": false; }; "id": { "alias": "id"; "required": false; }; "tip": { "alias": "tip"; "required": false; }; }, {}, never, never, false, never>;
}
