import { EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import { MenuItemClickType } from './type';
import * as i0 from "@angular/core";
export declare class MenuComponent implements OnInit, OnChanges, OnDestroy {
    collapsed: boolean;
    menuClass: boolean;
    collapsedSubject: BehaviorSubject<boolean>;
    collapsed$: import("rxjs").Observable<boolean>;
    readonly menuItemClick: EventEmitter<MenuItemClickType>;
    ngOnChanges({ collapsed }: SimpleChanges): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MenuComponent, "d-menu, [dMenu]", never, { "collapsed": { "alias": "collapsed"; "required": false; }; }, { "menuItemClick": "menuItemClick"; }, never, ["*"], false, never>;
}
