import { ChangeDetectorRef } from '@angular/core';
import { MenuHoverTypes } from './type';
import { MenuItemDirective } from './menu-item.directive';
import { BehaviorSubject, Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class SubMenuService {
    readonly parentSubMenuService: SubMenuService;
    menuItems: MenuItemDirective[];
    readonly childState$: Subject<MenuHoverTypes>;
    readonly parentPopoverOpen$: BehaviorSubject<boolean>;
    readonly childActive$: Subject<boolean>;
    readonly parentSubMenuActive$: BehaviorSubject<boolean>;
    protected cdr: ChangeDetectorRef;
    level: number;
    constructor();
    setChildActive(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SubMenuService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SubMenuService>;
}
