import { AfterViewInit, EventEmitter, OnChanges, QueryList, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { DevConfigService } from 'ng-devui/utils';
import { Observable } from 'rxjs';
import { RadioComponent } from './radio.component';
import * as i0 from "@angular/core";
export declare class RadioGroupComponent implements ControlValueAccessor, OnChanges, AfterViewInit {
    private devConfigService;
    name: string;
    values: any[];
    /**
     * @deprecated Use direction to replace.
     */
    set cssStyle(direction: any);
    direction: 'row' | 'column';
    disabled: boolean;
    showGlowStyle: boolean;
    get hasGlowStyle(): boolean;
    beforeChange: (value: any) => boolean | Promise<boolean> | Observable<boolean>;
    change: EventEmitter<any>;
    radios: QueryList<RadioComponent>;
    _value: any;
    onChange: (_: any) => null;
    onTouched: () => null;
    onRadioChange(event: any): void;
    constructor(devConfigService: DevConfigService);
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    registerRadio(radio: RadioComponent): void;
    canChange(value: any): Promise<boolean>;
    handleChange($event: any, value: any): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioGroupComponent, "d-radio-group", never, { "name": { "alias": "name"; "required": false; }; "values": { "alias": "values"; "required": false; }; "cssStyle": { "alias": "cssStyle"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "showGlowStyle": { "alias": "showGlowStyle"; "required": false; }; "beforeChange": { "alias": "beforeChange"; "required": false; }; }, { "change": "change"; }, ["radios"], ["d-radio"], false, never>;
}
