import { EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { TimeAxisMode } from '../time-axis.type';
import * as i0 from "@angular/core";
export declare class TimeAxisItemComponent implements OnInit {
    model: any;
    direction: any;
    time: any;
    timePosition: any;
    position: any;
    lineStyle: any;
    customDot: any;
    dotColor: any;
    iconClass: any;
    extraElement: any;
    text: any;
    contentTemplate: TemplateRef<any>;
    data: any;
    horizontalAlign: string;
    mode: TimeAxisMode;
    statusChanged: EventEmitter<string>;
    _type: any;
    dotText: string;
    set type(type: any);
    /**
    * @deprecated Use type to replace.
    */
    set status(status: any);
    get horizontalNoLine(): boolean;
    get verticalNoLine(): boolean;
    constructor();
    ngOnInit(): void;
    get extraTemplate(): TemplateRef<any>;
    get dotTemplate(): any;
    get timeAxisLineClass(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeAxisItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeAxisItemComponent, "d-time-axis-item", never, { "model": { "alias": "model"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "time": { "alias": "time"; "required": false; }; "timePosition": { "alias": "timePosition"; "required": false; }; "position": { "alias": "position"; "required": false; }; "lineStyle": { "alias": "lineStyle"; "required": false; }; "customDot": { "alias": "customDot"; "required": false; }; "dotColor": { "alias": "dotColor"; "required": false; }; "iconClass": { "alias": "iconClass"; "required": false; }; "extraElement": { "alias": "extraElement"; "required": false; }; "text": { "alias": "text"; "required": false; }; "contentTemplate": { "alias": "contentTemplate"; "required": false; }; "data": { "alias": "data"; "required": false; }; "horizontalAlign": { "alias": "horizontalAlign"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "type": { "alias": "type"; "required": false; }; "status": { "alias": "status"; "required": false; }; }, { "statusChanged": "statusChanged"; }, never, never, false, never>;
}
