import { AfterContentInit, AfterViewInit, ElementRef, QueryList, TemplateRef } from '@angular/core';
import { TimeAxisItemComponent } from './time-axis-item/time-axis-item.component';
import { TimeAxisMode } from './time-axis.type';
import * as i0 from "@angular/core";
export declare class TimeAxisComponent implements AfterContentInit, AfterViewInit {
    private elementRef;
    listOfItems: QueryList<TimeAxisItemComponent>;
    data: any;
    contentTemplate: TemplateRef<any>;
    direction: string;
    mode: TimeAxisMode;
    widthMode: string;
    constructor(elementRef: ElementRef);
    ngAfterContentInit(): void;
    ngAfterViewInit(): void;
    get _direction(): any;
    get _widthMode(): any;
    updateAlternativePosition(): void;
    vanishHorizontalLastLine(): void;
    changeStatusLine(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TimeAxisComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TimeAxisComponent, "d-time-axis", ["time-axis"], { "data": { "alias": "data"; "required": false; }; "contentTemplate": { "alias": "contentTemplate"; "required": false; }; "direction": { "alias": "direction"; "required": false; }; "mode": { "alias": "mode"; "required": false; }; "widthMode": { "alias": "widthMode"; "required": false; }; }, {}, ["listOfItems"], ["d-time-axis-item"], false, never>;
}
