import { EventEmitter, TemplateRef } from '@angular/core';
import { FileUploader } from './file-uploader.class';
import { IUploadOptions, UploadStatus } from './file-uploader.types';
import { UploadComponent } from './upload.class';
import { UploadedFilesComponent } from './uploaded-files.component';
import * as i0 from "@angular/core";
export declare class SingleUploadViewComponent extends UploadComponent {
    uploadOptions: IUploadOptions;
    preloadFilesRef: TemplateRef<any>;
    uploadedFiles: Array<Object>;
    uploadedFilesRef: TemplateRef<any>;
    filePath: string;
    dynamicUploadOptionsFn: (files: any, uploadOptions: any, chunkedFileIndex?: any) => IUploadOptions;
    deleteUploadedFileEvent: EventEmitter<any>;
    uploadedFilesComponent: UploadedFilesComponent;
    UploadStatus: typeof UploadStatus;
    fileUploaders: Array<FileUploader>;
    addFile(file: File): void;
    deleteFile(file: File): void;
    deletePreUploadFile(file: any): void;
    deleteFileProxy: (file: any) => void;
    _onDeleteUploadedFile(filePath: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SingleUploadViewComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SingleUploadViewComponent, "d-single-upload-view", ["dSingleUploadView"], { "uploadOptions": { "alias": "uploadOptions"; "required": false; }; "preloadFilesRef": { "alias": "preloadFilesRef"; "required": false; }; "uploadedFiles": { "alias": "uploadedFiles"; "required": false; }; "uploadedFilesRef": { "alias": "uploadedFilesRef"; "required": false; }; "filePath": { "alias": "filePath"; "required": false; }; "dynamicUploadOptionsFn": { "alias": "dynamicUploadOptionsFn"; "required": false; }; }, { "deleteUploadedFileEvent": "deleteUploadedFileEvent"; }, never, never, false, never>;
}
