import { AfterViewInit, ChangeDetectorRef, ElementRef } from '@angular/core';
import { BadgePositionType, BadgeStatusType } from './badge.types';
import * as i0 from "@angular/core";
export declare class BadgeComponent implements AfterViewInit {
    private cdr;
    hasContent: boolean;
    contentProjection?: ElementRef;
    count: number | string;
    maxCount: number;
    showDot: boolean;
    status: BadgeStatusType;
    /**
     * @deprecated
     * 用position替代
     */
    set badgePos(value: BadgePositionType);
    position: BadgePositionType;
    /**
     * @deprecated
     * 用offset替代
     */
    set offsetXY(value: [number, number]);
    offset: [number, number];
    bgColor: string;
    textColor: string;
    hasContentProjection(): void;
    parseCountToNumber(): number;
    constructor(cdr: ChangeDetectorRef);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<BadgeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BadgeComponent, "d-badge", never, { "count": { "alias": "count"; "required": false; }; "maxCount": { "alias": "maxCount"; "required": false; }; "showDot": { "alias": "showDot"; "required": false; }; "status": { "alias": "status"; "required": false; }; "badgePos": { "alias": "badgePos"; "required": false; }; "position": { "alias": "position"; "required": false; }; "offsetXY": { "alias": "offsetXY"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "bgColor": { "alias": "bgColor"; "required": false; }; "textColor": { "alias": "textColor"; "required": false; }; }, {}, never, ["*"], false, never>;
}
