import { OnChanges, SimpleChanges, TemplateRef } from '@angular/core';
import { TableExpandConfig, TableWidthConfig } from './data-table.model';
import { DataTableColumnTmplComponent } from './tmpl/data-table-column-tmpl.component';
import * as i0 from "@angular/core";
export declare class DataTableBodyComponent implements OnChanges {
    dt: any;
    checkable: boolean;
    showExpandToggle: boolean;
    allChecked: boolean;
    selectable: boolean;
    editModel: string;
    editRowItem: any;
    dataSource: any[];
    resizeable: boolean;
    columns: DataTableColumnTmplComponent[];
    detailTemplateRef: TemplateRef<any>;
    timeout: number;
    type: string;
    rowHoveredHighlight: boolean;
    tableLevel: number;
    nestedIndex: string;
    virtualScroll: any;
    tableWidthConfig: TableWidthConfig[];
    headerExpandConfig: TableExpandConfig;
    generalRowHoveredData: boolean;
    childTdColspan: number;
    constructor(dt: any);
    ngOnChanges(changes: SimpleChanges): void;
    trackByFn(index: any, item: any): any;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataTableBodyComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataTableBodyComponent, "d-data-table-body, [dDataTableBody]", never, { "checkable": { "alias": "checkable"; "required": false; }; "showExpandToggle": { "alias": "showExpandToggle"; "required": false; }; "allChecked": { "alias": "allChecked"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "editModel": { "alias": "editModel"; "required": false; }; "editRowItem": { "alias": "editRowItem"; "required": false; }; "dataSource": { "alias": "dataSource"; "required": false; }; "resizeable": { "alias": "resizeable"; "required": false; }; "columns": { "alias": "columns"; "required": false; }; "detailTemplateRef": { "alias": "detailTemplateRef"; "required": false; }; "timeout": { "alias": "timeout"; "required": false; }; "type": { "alias": "type"; "required": false; }; "rowHoveredHighlight": { "alias": "rowHoveredHighlight"; "required": false; }; "tableLevel": { "alias": "tableLevel"; "required": false; }; "nestedIndex": { "alias": "nestedIndex"; "required": false; }; "virtualScroll": { "alias": "virtualScroll"; "required": false; }; "tableWidthConfig": { "alias": "tableWidthConfig"; "required": false; }; "headerExpandConfig": { "alias": "headerExpandConfig"; "required": false; }; "generalRowHoveredData": { "alias": "generalRowHoveredData"; "required": false; }; }, {}, never, never, false, never>;
}
