import { AfterContentInit, EventEmitter, OnChanges, OnDestroy, OnInit, QueryList, SimpleChanges } from '@angular/core';
import { Subscription } from 'rxjs';
import { TableCheckOptions, TableCheckStatusArg } from '../../data-table.model';
import { TableTrComponent } from '../row/tr.component';
import { TableThComponent } from './th/th.component';
import * as i0 from "@angular/core";
export declare class TableTheadComponent implements OnInit, AfterContentInit, OnDestroy, OnChanges {
    checkable: boolean;
    checkDisabled: boolean;
    checkOptions: TableCheckOptions[];
    checkOptionsIndex: number;
    selectOptionOnCheckbox: boolean;
    headerRowList: QueryList<TableTrComponent>;
    thList: QueryList<TableThComponent>;
    headerFirstRow: TableTrComponent;
    nestedTh: TableThComponent;
    toggleTableSubscription: Subscription;
    checkStatusSubscription: Subscription;
    headerCheckStatusEvent: EventEmitter<boolean>;
    headerChildrenTableToggleEvent: EventEmitter<boolean>;
    constructor();
    ngOnInit(): void;
    ngAfterContentInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    setNestedThToggle(): void;
    setHeaderCheckStatus(status: TableCheckStatusArg): void;
    setHeaderToggleStatus(open: boolean): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableTheadComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableTheadComponent, "[dTableHead]", never, { "checkable": { "alias": "checkable"; "required": false; }; "checkDisabled": { "alias": "checkDisabled"; "required": false; }; "checkOptions": { "alias": "checkOptions"; "required": false; }; "checkOptionsIndex": { "alias": "checkOptionsIndex"; "required": false; }; "selectOptionOnCheckbox": { "alias": "selectOptionOnCheckbox"; "required": false; }; }, {}, ["headerRowList", "thList"], ["*"], false, never>;
}
