import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnInit, QueryList, Renderer2 } from '@angular/core';
import { RowCheckChangeEventArg, TableCheckOptions } from '../../data-table.model';
import { TableThComponent } from '../head/th/th.component';
import * as i0 from "@angular/core";
export declare class TableTrComponent implements OnInit, AfterViewInit {
    private eleRef;
    private render2;
    private cdr;
    thList: QueryList<TableThComponent>;
    headerCheckable: boolean;
    headerCheckDisabled: boolean;
    headerRowspan: number;
    headerCheckOptions: TableCheckOptions[];
    checkOptionsIndex: number;
    curLabel: string;
    showTip: boolean;
    selectOptionOnCheckbox: boolean;
    headerChecked: boolean;
    headerHalfChecked: boolean;
    firstTh: TableThComponent;
    headerCheckStatusEvent: EventEmitter<boolean>;
    checkStatusEvent: EventEmitter<RowCheckChangeEventArg>;
    constructor(eleRef: ElementRef, render2: Renderer2, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    initFixedColumnStatus(): void;
    onHeaderCheckChange(checked: any): void;
    onOptionSelect(option: TableCheckOptions): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableTrComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableTrComponent, "[dTableRow]", never, {}, { "headerCheckStatusEvent": "headerCheckStatusEvent"; "checkStatusEvent": "checkStatusEvent"; }, ["thList"], ["*"], false, never>;
}
