import { OnInit, EventEmitter, OnChanges, SimpleChanges, ChangeDetectorRef } from '@angular/core';
import { MenuHoverTypes } from './type';
import { MenuComponent } from './menu.component';
import { SubMenuService } from './submenu.service';
import * as i0 from "@angular/core";
export declare class MenuItemDirective implements OnInit, OnChanges {
    subMenuHost: boolean;
    noStyle: boolean;
    disabled: boolean;
    active: boolean;
    menuItemClass: boolean;
    itemClick: EventEmitter<MouseEvent>;
    titleHover: EventEmitter<MenuHoverTypes>;
    protected cdr: ChangeDetectorRef;
    protected menuComponent: MenuComponent;
    protected submenuService: SubMenuService;
    hostMouseEnter(event: MouseEvent): void;
    hostMouseLeave(event: MouseEvent): void;
    hostClick(event: MouseEvent): void;
    hostHover(type: MenuHoverTypes): void;
    ngOnChanges({ active }: SimpleChanges): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MenuItemDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MenuItemDirective, "[dMenuItem]", ["dMenuItem"], { "subMenuHost": { "alias": "subMenuHost"; "required": false; }; "noStyle": { "alias": "noStyle"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "active": { "alias": "active"; "required": false; }; }, { "itemClick": "itemClick"; "titleHover": "titleHover"; }, never, never, false, never>;
}
