import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { I18nInterface, I18nService } from 'ng-devui/i18n';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ModalHeaderComponent implements OnInit, OnDestroy {
    private ref;
    private i18n;
    title: string;
    dialogtype: string;
    showCloseBtn: boolean;
    closeEvent: EventEmitter<any>;
    showMaximizeBtn: boolean;
    maximizeEvent: EventEmitter<boolean>;
    maximized: boolean;
    i18nText: I18nInterface['modal'];
    i18nSubscription: Subscription;
    get checkDialogType(): string;
    constructor(ref: ChangeDetectorRef, i18n: I18nService);
    ngOnInit(): void;
    close(event: any): void;
    ngOnDestroy(): void;
    maximize(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ModalHeaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ModalHeaderComponent, "d-modal-header", never, { "title": { "alias": "title"; "required": false; }; "dialogtype": { "alias": "dialogtype"; "required": false; }; "showCloseBtn": { "alias": "showCloseBtn"; "required": false; }; "showMaximizeBtn": { "alias": "showMaximizeBtn"; "required": false; }; }, { "closeEvent": "closeEvent"; "maximizeEvent": "maximizeEvent"; }, never, never, false, never>;
}
