import { OnChanges, OnInit, SimpleChanges, TemplateRef } from '@angular/core';
import { IAxisConfigs, IQuadrantConfigs, IViewConfigs } from '../quadrant-diagram.type';
import * as i0 from "@angular/core";
export declare class QuadrantRegionComponent implements OnInit, OnChanges {
    quadrantConfigs: Array<IQuadrantConfigs>;
    axisConfigs: IAxisConfigs;
    view: IViewConfigs;
    labelData: any;
    normalLabelTemplate: TemplateRef<any>;
    largeLabelTemplate: TemplateRef<any>;
    smallLabelTemplate: TemplateRef<any>;
    currentLabelSize: any;
    showQuadrants: any;
    dropScope: any;
    diagramId: any;
    quadrantHeight: number;
    quadrantWidth: number;
    constructor();
    ngOnChanges(changes: SimpleChanges): void;
    ngOnInit(): void;
    drawQuadrantRegion(): void;
    getQuadrantTopValue(index: any): number;
    getQuadrantLeftValue(index: any): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<QuadrantRegionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QuadrantRegionComponent, "d-quadrant-region", never, { "quadrantConfigs": { "alias": "quadrantConfigs"; "required": false; }; "axisConfigs": { "alias": "axisConfigs"; "required": false; }; "view": { "alias": "view"; "required": false; }; "labelData": { "alias": "labelData"; "required": false; }; "normalLabelTemplate": { "alias": "normalLabelTemplate"; "required": false; }; "largeLabelTemplate": { "alias": "largeLabelTemplate"; "required": false; }; "smallLabelTemplate": { "alias": "smallLabelTemplate"; "required": false; }; "currentLabelSize": { "alias": "currentLabelSize"; "required": false; }; "showQuadrants": { "alias": "showQuadrants"; "required": false; }; "dropScope": { "alias": "dropScope"; "required": false; }; "diagramId": { "alias": "diagramId"; "required": false; }; }, {}, never, never, false, never>;
}
