import { ControlValueAccessor } from '@angular/forms';
import { DevConfigService } from 'ng-devui/utils';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class RadioComponent implements ControlValueAccessor {
    private devConfigService;
    private _name;
    private _disabled;
    private inputValue;
    id: string;
    get name(): string;
    set name(value: string);
    get disabled(): boolean;
    set disabled(value: boolean);
    get value(): any;
    set value(value: any);
    beforeChange: (value: any) => boolean | Promise<boolean> | Observable<boolean>;
    showGlowStyle: boolean;
    get hasGlowStyle(): boolean;
    onRadioChange(event: any): void;
    _value: any;
    handleChange: (event: any, value: any) => void;
    private onChange;
    private onTouched;
    constructor(devConfigService: DevConfigService);
    registerHandleChange(fn: any): void;
    writeValue(obj: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    handleModelChange($event: any, value: any): void;
    canChange(): Promise<boolean>;
    static ɵfac: i0.ɵɵFactoryDeclaration<RadioComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RadioComponent, "d-radio", never, { "name": { "alias": "name"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "value": { "alias": "value"; "required": false; }; "beforeChange": { "alias": "beforeChange"; "required": false; }; "showGlowStyle": { "alias": "showGlowStyle"; "required": false; }; }, {}, never, ["*"], false, never>;
}
