import { EventEmitter, TemplateRef } from '@angular/core';
import { ToggleMenuListItem } from './toggle-menu.type';
import * as i0 from "@angular/core";
export declare class ToggleMenuLabelComponent {
    mode: 'normal' | 'scroll-y' | 'multiple-line' | string;
    multiItems: Array<ToggleMenuListItem>;
    disabled: boolean;
    maxWidth: string;
    maxHeight: string;
    optionDisabledKey: string;
    customViewTemplate: TemplateRef<any>;
    valueParser: (item: any) => any;
    removeChange: EventEmitter<any>;
    trackByOptionPointer(index: any, item: any): any;
    removeItem(item: any, event: any, index: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToggleMenuLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToggleMenuLabelComponent, "d-toggle-menu-label", never, { "mode": { "alias": "mode"; "required": false; }; "multiItems": { "alias": "multiItems"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "maxWidth": { "alias": "maxWidth"; "required": false; }; "maxHeight": { "alias": "maxHeight"; "required": false; }; "optionDisabledKey": { "alias": "optionDisabledKey"; "required": false; }; "customViewTemplate": { "alias": "customViewTemplate"; "required": false; }; "valueParser": { "alias": "valueParser"; "required": false; }; }, { "removeChange": "removeChange"; }, never, never, false, never>;
}
