import { FileUploader } from './file-uploader.class';
import { IUploadOptions } from './file-uploader.types';
import { MultipleUploadViewComponent } from './multiple-upload-view.component';
import { MultipleUploadComponent } from './multiple-upload.component';
import { SingleUploadViewComponent } from './single-upload-view.component';
import { SingleUploadComponent } from './single-upload.component';
import * as i0 from "@angular/core";
export declare class SliceUploadService {
    defaultChunkSize: number;
    isNeedChunk(fileUploaders: Array<FileUploader>, uploadOptions: IUploadOptions): boolean;
    sliceUpload(instance: SingleUploadComponent | MultipleUploadComponent, viewInstance: SingleUploadViewComponent | MultipleUploadViewComponent): Promise<void>;
    uploadChunkList(fileChunkList: Array<FileUploader>, currentFile: FileUploader, instance: SingleUploadComponent | MultipleUploadComponent, viewInstance: SingleUploadViewComponent | MultipleUploadViewComponent): Promise<import("rxjs").Observable<unknown>>;
    createFileChunk(file: File, uploadOptions: IUploadOptions, uploadOptionsFunc?: Function): FileUploader[];
    chunkRequestError(error: any, currentFile: FileUploader, instance: SingleUploadComponent | MultipleUploadComponent, viewInstance: SingleUploadViewComponent | MultipleUploadViewComponent, isChunk?: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SliceUploadService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SliceUploadService>;
}
